Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class IndexedFaceSet

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Geometry
                  |
                  +--shout3d.core.IndexedFaceSet

public class IndexedFaceSet
extends Geometry
implements FieldObserver

An IndexedFaceSet

Field Summary
`BooleanField` | `ccw`
`NodeField` | `color`
`IntArrayField` | `colorIndex`
`BooleanField` | `colorPerVertex`
`NodeField` | `coord`
`IntArrayField` | `coordIndex`
`FloatField` | `creaseAngle`
`int[]` | `defaultColorIndex`
`int[]` | `defaultCoordIndex`
`int[]` | `defaultTexCoordIndex`
`BooleanField` | `solid`
`NodeField` | `texCoord`
`IntArrayField` | `texCoordIndex`

Constructor Summary
`IndexedFaceSet()` Constructs a default IndexedFaceSet

Method Summary
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this within their own onFieldChange() method.

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultColorIndex

    public final int[] defaultColorIndex

### defaultCoordIndex

    public final int[] defaultCoordIndex

### defaultTexCoordIndex

    public final int[] defaultTexCoordIndex

### ccw

    public final BooleanField ccw

### color

    public final NodeField color

### colorIndex

    public final IntArrayField colorIndex

### colorPerVertex

    public final BooleanField colorPerVertex

### coord

    public final NodeField coord

### coordIndex

    public final IntArrayField coordIndex

### creaseAngle

    public final FloatField creaseAngle

### solid

    public final BooleanField solid

### texCoord

    public final NodeField texCoord

### texCoordIndex

    public final IntArrayField texCoordIndex

Constructor Detail

### IndexedFaceSet

    public IndexedFaceSet()

  Constructs a default IndexedFaceSet

Method Detail

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this within their own onFieldChange() method.
  Specified by:
    onFieldChange in interface FieldObserver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD